Skip to main content
GET
/
v1
/
invoices
Get administration invoices
curl --request GET \
  --url https://api.paytsoftware.com/v1/invoices \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "category": "<string>",
      "currency_code": "<string>",
      "description": "<string>",
      "invoice_number": "<string>",
      "purchase_order_number": "<string>",
      "order_number": "<string>",
      "invoice_identifier": "<string>",
      "administration_id": "<string>",
      "credit_case_id": "<string>",
      "active_credit_case_id": "<string>",
      "debtor_id": "<string>",
      "debtor_number": "<string>",
      "id": "<string>",
      "payment_plan_id": "<string>",
      "active_payment_plan_id": "<string>",
      "payment_date": "<string>",
      "due_date": "<string>",
      "invoice_date": "<string>",
      "administration_costs_total": "<string>",
      "administration_costs_open": "<string>",
      "total_amount": "<string>",
      "open_amount": "<string>",
      "book_open_amount": "<string>",
      "book_total_amount": "<string>",
      "paused_by_user": true,
      "bailiff_at": "2023-11-07T05:31:56Z",
      "collectable_at": "2023-11-07T05:31:56Z",
      "debt_collection_at": "2023-11-07T05:31:56Z",
      "end_of_service_announcement_at": "2023-11-07T05:31:56Z",
      "end_of_service_at": "2023-11-07T05:31:56Z",
      "final_reminder_at": "2023-11-07T05:31:56Z",
      "pre_reminder_at": "2023-11-07T05:31:56Z",
      "first_reminder_at": "2023-11-07T05:31:56Z",
      "reminder_1_at": "2023-11-07T05:31:56Z",
      "reminder_2_at": "2023-11-07T05:31:56Z",
      "reminder_3_at": "2023-11-07T05:31:56Z",
      "reminder_4_at": "2023-11-07T05:31:56Z",
      "latest_reminder_at": "2023-11-07T05:31:56Z",
      "latest_summons_at": "2023-11-07T05:31:56Z",
      "notice_of_default_at": "2023-11-07T05:31:56Z",
      "paused_at": "2023-11-07T05:31:56Z",
      "pre_judicial_at": "2023-11-07T05:31:56Z",
      "pre_summons_at": "2023-11-07T05:31:56Z",
      "sent_at": "2023-11-07T05:31:56Z",
      "first_summons_at": "2023-11-07T05:31:56Z",
      "summons_1_at": "2023-11-07T05:31:56Z",
      "summons_2_at": "2023-11-07T05:31:56Z",
      "summons_3_at": "2023-11-07T05:31:56Z",
      "summons_4_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "public_url": "<string>",
      "deeplink_url": "<string>",
      "flow_code": "<string>",
      "document_url": "<string>",
      "ubl_document_url": "<string>",
      "internal_note_email_address": "<string>",
      "invoice_lines": [
        {
          "description": "<string>",
          "product_unit": "<string>",
          "vat_percentage": "<string>",
          "vat_rate_code": "<string>",
          "product_quantity": "<string>",
          "line_order": 123,
          "product_price": "<string>",
          "total_excl_tax_amount": "<string>",
          "total_incl_tax_amount": "<string>",
          "vat_amount": "<string>"
        }
      ],
      "labels": [
        {
          "name": "<string>"
        }
      ],
      "peppol_identifier": "<string>"
    }
  ],
  "pagination": {
    "cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Query Parameters

administration_id
string
required

Administration identifier

paid
boolean

Whether returned invoices should be paid/unpaid

book_amount_total_lte
number<float>

Filter invoices with book_amount_total less than or equal to the provided amount

book_amount_total_gte
number<float>

Filter invoices with book_amount_total greater than or equal to the provided amount

ids
string

Filter invoices with a comma separated list of internal ids

invoice_numbers
string

Filter invoices with a comma separated list of invoice numbers

invoice_identifiers
string

Filter invoices with a comma separated list of invoice identifiers from your accounting software

debtor_ids
string

Filter invoices with a comma separated list of internal debtor ids

debtor_numbers
string

Filter invoices with a comma separated list of debtor numbers

debtor_identifiers
string

Filter invoices with a comma separated list of debtor identifiers from your accounting software

credit_case_ids
string

Filter invoices with a comma separated list of internal credit case ids

order
enum<string>

Order the list of invoices

Available options:
invoice_date_asc,
invoice_date_desc,
due_date_asc,
due_date_desc
updated_after
string<date-time>

ISO8601 UTC Timestamp to filter records updated after it

fields
object

JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})

cursor
string

The record identifier after which to start the page

per_page
integer<int32>
default:100

How many records will be returned per page, (1..500), defaults to 100

Required range: 1 <= x <= 500

Response

Paginated list of invoices

CustomerApi_InvoicesPageEntity model

data
object[]
required

Invoice

pagination
object

Pagination details

Last modified on June 12, 2026